The Search API returns offers for flights between specific origin and destination (O&D) pairs. You can set the Search request to return offers for the full itinerary (a journey-based search), or for only the first leg (a leg-based search) and follow it with a Next Leg Search. Any modifiers or indicators sent in the Search request carry over to the Next Leg Search request and are not re-sent.
Security
bearerAuth
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/catalog/search/catalogproductofferings
- https://api.travelport.net/11https://api.travelport.net/11/air/catalog/search/catalogproductofferings
curl -i -X POST \
https://api.pp.travelport.net/11/air/catalog/search/catalogproductofferings \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "CatalogProductOfferingsQueryRequest",
"CatalogProductOfferingsRequest": {
"@type": "CatalogProductOfferingsRequestAir",
"SearchControlConsoleChannelID": {
"value": "IBM",
"sccType": "999"
},
"offersPerPage": 0,
"contentSourceList": [
"NDC",
"GDS"
],
"maxNumberOfUpsellsToReturn": 3,
"numberOfDownsellsToReturn": 2,
"sortBy": "Price-LowToHigh",
"PassengerCriteria": [
null
],
"SearchCriteriaFlight": [
{
"departureDate": "2019-08-24",
"daysBeforeDeparture": 1,
"daysAfterDeparture": 2,
"departureTime": "07:00:00",
"arrivalDate": "2019-08-24",
"arrivalTime": "09:15:00",
"legSequence": 0,
"From": {
"value": "MEX",
"cityOrAirport": "City or Airport",
"radius": 50,
"radiusMeasurement": "Kilometers"
},
"To": {
"value": "MEX",
"cityOrAirport": "City or Airport",
"radius": 50,
"radiusMeasurement": "Kilometers"
},
"AdditionalFrom": [
{
"value": "LGW",
"cityOrAirport": "City or Airport"
}
],
"AdditionalTo": [
{
"value": "LGW",
"cityOrAirport": "City or Airport"
}
],
"DepartureTimeRange": {
"start": "06:15",
"end": "09:15"
},
"ArrivalTimeRange": {
"start": "06:15",
"end": "09:15"
}
}
],
"SearchModifiersAir": {
"@type": "SearchModifiersAir",
"excludeGround": "Train",
"CarrierPreference": [
{
"@type": "CarrierPreference",
"preferenceType": "Preferred",
"carriers": [
"BA"
],
"legSequence": [
1,
2
]
}
],
"CabinPreference": [
{
"@type": "CabinPreference",
"preferenceType": "Preferred",
"cabins": [
"Economy"
],
"legSequence": [
1,
2
]
}
],
"ClassOfServicePreference": [
{
"@type": "ClassOfServicePreference",
"legSequence": [
1,
2
],
"ClassesOfService": [
"F"
],
"PreferenceType": "Preferred"
}
],
"ProductInclusionPreference": [
{
"@type": "ProductInclusionPreference",
"legSequence": [
1,
2
],
"Classification": [
"CheckedBag"
],
"AdditionalClassification": [
"PremiumDrinks"
],
"exactMatchInd": true,
"bestMatchInd": true
}
],
"ConnectionPreferences": [
null
],
"prohibitChangeOfAirportInd": true
},
"PaymentCriteria": {
"@type": "PaymentCriteria",
"IssuerIdentificationNumber": "123456",
"PaymentCardCode": "VI",
"DocumentNumber": [
{
"value": "1259900123456",
"documentIssuer": "BA",
"documentType": "Ticket",
"travelerIdentifierRef": "traveler_1",
"name": "SMITH/JMR",
"passengerTypeCode": "ADT",
"id": "id_1",
"description": "Descriptive text.",
"uris": [
"www.travelport.com/uri"
]
}
],
"FlightPass": [
{
"@type": "FlightPass",
"accountNumber": "0140851633093",
"supplier": "AC",
"Description": [
"FlightPass"
],
"TravelerIdentifierRef": [
{
"name": "SMITH/AMR",
"passengerTypeCode": "ADT",
"ages": [
12,
23
],
"age": 11,
"passengerCriteriaRef": "passengerCriteria_1",
"value": "traveler_001",
"id": "id_001",
"description": "Descriptive Text",
"uris": [
"www.travelport.com/uri"
]
}
]
}
],
"agencyAccountInd": true,
"bspInd": true,
"cashInd": true,
"invoiceInd": true
},
"PricingModifiersAir": null,
"CustomResponseModifiersAir": {
"@type": "CustomResponseModifiersAir",
"BrandAttributeInclusion": [
{
"@type": "BrandAttributeInclusion",
"legSequence": [
1,
2
],
"Classification": [
"CarryOn"
],
"AdditionalClassification": [
"string"
]
}
],
"SearchRepresentation": "Leg",
"excludePenaltiesInd": true,
"excludeBaggageFeesInd": true,
"includeFareCalculationInd": true,
"excludeSurchargesInd": true,
"excludeUnbundledFaresInd": true,
"includeCO2EmissionsDataInd": true,
"includeFlightAmenitiesInd": true,
"includeUniversalProductAttributesInd": true,
"includeBundledAncillariesInd": true,
"includeFullPenaltyDisclosureInd": true
},
"SearchType": "MetaSearch",
"inhibitBrandContentInd": true,
"detailViewInd": true,
"excludeMixedBrandsInd": true
}
}'Response
{ "CatalogProductOfferingsResponse": { "CatalogProductOfferings": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }